---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/ChildWindow.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ChildWindow.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_CHILD_WINDOW_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_CHILD_WINDOW_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Container.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Button.hpp&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Label.hpp&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;{</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">class </span>ChildWindowRenderer;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html">   60</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1Container.html">Container</a></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    {</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">   64</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;ChildWindow&gt; <a class="code" href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">Ptr</a>; </div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#ac017e8d96f214d5cc79d68752e22c0eb">   65</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const ChildWindow&gt; <a class="code" href="classtgui_1_1ChildWindow.html#ac017e8d96f214d5cc79d68752e22c0eb">ConstPtr</a>; </div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">   69</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">TitleAlignment</a></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            Left,   </div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            Center, </div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            Right   </div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        };</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082">   78</a></span>&#160;        <span class="keyword">enum</span> <a class="code" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082">TitleButtons</a></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        {</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082a1a314ef71a07a25499292ff92c13c775">   80</a></span>&#160;            None     = 0,      </div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082acd60ff6eaca4b68713c52aff26ac8563">   81</a></span>&#160;            Close    = 1 &lt;&lt; 0, </div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082ad80f1df381289742e2adbaae76ae0492">   82</a></span>&#160;            Minimize = 1 &lt;&lt; 1, </div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082a7ce61ff022828bf6802248f791596e3a">   83</a></span>&#160;            Maximize = 1 &lt;&lt; 2  </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        };</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>();</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">ChildWindow::Ptr</a> create();</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">ChildWindow::Ptr</a> copy(<a class="code" href="classtgui_1_1ChildWindow.html#ac017e8d96f214d5cc79d68752e22c0eb">ChildWindow::ConstPtr</a> childWindow);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#a9c5b3dfc525e545e08ac229bf851cbc8">  118</a></span>&#160;        std::shared_ptr&lt;ChildWindowRenderer&gt; <a class="code" href="classtgui_1_1ChildWindow.html#a9c5b3dfc525e545e08ac229bf851cbc8">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getFullSize() <span class="keyword">const override</span>;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keywordtype">void</span> setMaximumSize(sf::Vector2f size);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        sf::Vector2f getMaximumSize() <span class="keyword">const</span>;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        <span class="keywordtype">void</span> setMinimumSize(sf::Vector2f size);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        sf::Vector2f getMinimumSize() <span class="keyword">const</span>;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;        <span class="keywordtype">void</span> setTitle(<span class="keyword">const</span> sf::String&amp; title);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#a771fdea9e6d499651be6ced4cc42ea40">  244</a></span>&#160;        <span class="keyword">const</span> sf::String&amp; <a class="code" href="classtgui_1_1ChildWindow.html#a771fdea9e6d499651be6ced4cc42ea40">getTitle</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;            <span class="keywordflow">return</span> m_titleText.getText();</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;        }</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        <span class="keywordtype">void</span> setTitleAlignment(<a class="code" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">TitleAlignment</a> alignment);</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#a14ec3904fd63861f830c4b6fbecdd446">  265</a></span>&#160;        <a class="code" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">TitleAlignment</a> <a class="code" href="classtgui_1_1ChildWindow.html#a14ec3904fd63861f830c4b6fbecdd446">getTitleAlignment</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;            <span class="keywordflow">return</span> m_titleAlignment;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;        }</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;        <span class="keywordtype">void</span> setTitleButtons(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> buttons);</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00291"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#ad7aa02947d408fb7196ff26eaef7989e">  291</a></span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1ChildWindow.html#ad7aa02947d408fb7196ff26eaef7989e">getTitleButtons</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;            <span class="keywordflow">return</span> m_titleButtons;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;        }</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;        <span class="keywordtype">void</span> setTitleButtonsText(<span class="keyword">const</span> sf::String&amp; closeText = <span class="stringliteral">&quot;x&quot;</span>, <span class="keyword">const</span> sf::String&amp; minimizeText = <span class="stringliteral">&quot;-&quot;</span>, <span class="keyword">const</span> sf::String&amp; maximizeText = <span class="stringliteral">&quot;+&quot;</span>);</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;        <span class="keywordtype">void</span> setIcon(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; icon);</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;        <span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; getIcon();</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;        <span class="keywordtype">void</span> destroy();</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;        <span class="keywordtype">void</span> setResizable(<span class="keywordtype">bool</span> resizable = <span class="keyword">true</span>);</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;        <span class="keywordtype">bool</span> isResizable() <span class="keyword">const</span>;</div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;</div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;</div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;        <span class="keywordtype">void</span> keepInParent(<span class="keywordtype">bool</span> enabled = <span class="keyword">true</span>);</div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;        <span class="keywordtype">bool</span> isKeptInParent() <span class="keyword">const</span>;</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;</div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;        <span class="keywordtype">void</span> setCloseButton(<a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> closeButton);</div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;        <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> getCloseButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;        <span class="keywordtype">void</span> setMinimizeButton(<a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> minimizeButton);</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;</div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;        <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> getMinimizeButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;</div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;        <span class="keywordtype">void</span> setMaximizeButton(<a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> maximizeButton);</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;</div><div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;        <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> getMaximizeButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;</div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getChildWidgetsOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">bool</span> mouseOnWidget(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">const override</span>;</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMousePressed(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMouseReleased(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;</div><div class="line"><a name="l00489"></a><span class="lineno">  489</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseMoved(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;</div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseWheelMoved(<span class="keywordtype">int</span> delta, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseNoLongerOnWidget() <span class="keyword">override</span>;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseNoLongerDown() <span class="keyword">override</span>;</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00528"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindow.html#aa78acee7debc54c81bd98c73755c540e">  528</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1ChildWindow.html#aa78acee7debc54c81bd98c73755c540e">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;ChildWindow&gt;(*this);</div><div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;        }</div><div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;</div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;</div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;        <span class="keyword">enum</span> ResizeDirection</div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;        {</div><div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;            ResizeNone   = 0,</div><div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;            ResizeLeft   = 1,</div><div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;            ResizeTop    = 2,</div><div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160;            ResizeRight  = 4,</div><div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;            ResizeBottom = 8</div><div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;        };</div><div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>        m_iconTexture;</div><div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;</div><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;        <a class="code" href="classtgui_1_1Label.html">Label</a>          m_titleText;</div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;        sf::Vector2f   m_draggingPosition;</div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;        sf::Vector2f   m_maximumSize;</div><div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;        sf::Vector2f   m_minimumSize;</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;        <a class="code" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">TitleAlignment</a> m_titleAlignment = TitleAlignment::Center;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>   m_titleButtons = TitleButtons::Close;</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;        sf::String     m_closeButtonText = <span class="stringliteral">&quot;x&quot;</span>;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;        sf::String     m_minimizeButtonText = <span class="stringliteral">&quot;-&quot;</span>;</div><div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;        sf::String     m_maximizeButtonText = <span class="stringliteral">&quot;+&quot;</span>;</div><div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;</div><div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;        std::shared_ptr&lt;Button&gt; m_closeButton = std::make_shared&lt;Button&gt;();</div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;        std::shared_ptr&lt;Button&gt; m_minimizeButton = std::make_shared&lt;Button&gt;();</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;        std::shared_ptr&lt;Button&gt; m_maximizeButton = std::make_shared&lt;Button&gt;();</div><div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;</div><div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;        <span class="keywordtype">bool</span> m_mouseDownOnTitleBar = <span class="keyword">false</span>;</div><div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;        <span class="keywordtype">bool</span> m_keepInParent = <span class="keyword">false</span>;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;        <span class="keywordtype">bool</span> m_resizable = <span class="keyword">false</span>;</div><div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;        <span class="keywordtype">int</span> m_resizeDirection = ResizeNone;</div><div class="line"><a name="l00577"></a><span class="lineno">  577</span>&#160;</div><div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a>;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;    };</div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;</div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;</div><div class="line"><a name="l00586"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindowRenderer.html">  586</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a></div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;    {</div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00589"></a><span class="lineno">  589</span>&#160;</div><div class="line"><a name="l00596"></a><span class="lineno"><a class="line" href="classtgui_1_1ChildWindowRenderer.html#aca807b9b11d606caf43612e5ce7a5376">  596</a></span>&#160;        <a class="code" href="classtgui_1_1ChildWindowRenderer.html#aca807b9b11d606caf43612e5ce7a5376">ChildWindowRenderer</a>(<a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>* childWindow) : m_childWindow{childWindow} {}</div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;</div><div class="line"><a name="l00623"></a><span class="lineno">  623</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00624"></a><span class="lineno">  624</span>&#160;</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;</div><div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00645"></a><span class="lineno">  645</span>&#160;</div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;</div><div class="line"><a name="l00655"></a><span class="lineno">  655</span>&#160;        <span class="keywordtype">void</span> setTitleBarColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;</div><div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;        <span class="keywordtype">void</span> setTitleBarHeight(<span class="keywordtype">float</span> height);</div><div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;</div><div class="line"><a name="l00666"></a><span class="lineno">  666</span>&#160;</div><div class="line"><a name="l00673"></a><span class="lineno">  673</span>&#160;        <span class="keywordtype">void</span> setTitleColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; borderColor);</div><div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;</div><div class="line"><a name="l00684"></a><span class="lineno">  684</span>&#160;</div><div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setBorders(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a>&amp; borders) <span class="keyword">override</span>;</div><div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">WidgetBorders::setBorders</a>;</div><div class="line"><a name="l00693"></a><span class="lineno">  693</span>&#160;</div><div class="line"><a name="l00694"></a><span class="lineno">  694</span>&#160;</div><div class="line"><a name="l00701"></a><span class="lineno">  701</span>&#160;        <span class="keywordtype">void</span> setDistanceToSide(<span class="keywordtype">float</span> distanceToSide);</div><div class="line"><a name="l00702"></a><span class="lineno">  702</span>&#160;</div><div class="line"><a name="l00709"></a><span class="lineno">  709</span>&#160;        <span class="keywordtype">void</span> setPaddingBetweenButtons(<span class="keywordtype">float</span> paddingBetweenButtons);</div><div class="line"><a name="l00710"></a><span class="lineno">  710</span>&#160;</div><div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; backgroundColor);</div><div class="line"><a name="l00718"></a><span class="lineno">  718</span>&#160;</div><div class="line"><a name="l00719"></a><span class="lineno">  719</span>&#160;</div><div class="line"><a name="l00729"></a><span class="lineno">  729</span>&#160;        <span class="keywordtype">void</span> setTitleBarTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00730"></a><span class="lineno">  730</span>&#160;</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;</div><div class="line"><a name="l00738"></a><span class="lineno">  738</span>&#160;        std::shared_ptr&lt;ButtonRenderer&gt; getCloseButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00739"></a><span class="lineno">  739</span>&#160;</div><div class="line"><a name="l00746"></a><span class="lineno">  746</span>&#160;        std::shared_ptr&lt;ButtonRenderer&gt; getMinimizeButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00747"></a><span class="lineno">  747</span>&#160;</div><div class="line"><a name="l00754"></a><span class="lineno">  754</span>&#160;        std::shared_ptr&lt;ButtonRenderer&gt; getMaximizeButton() <span class="keyword">const</span>;</div><div class="line"><a name="l00755"></a><span class="lineno">  755</span>&#160;</div><div class="line"><a name="l00757"></a><span class="lineno">  757</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00759"></a><span class="lineno">  759</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00760"></a><span class="lineno">  760</span>&#160;</div><div class="line"><a name="l00761"></a><span class="lineno">  761</span>&#160;</div><div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00764"></a><span class="lineno">  764</span>&#160;</div><div class="line"><a name="l00766"></a><span class="lineno">  766</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00768"></a><span class="lineno">  768</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00769"></a><span class="lineno">  769</span>&#160;</div><div class="line"><a name="l00770"></a><span class="lineno">  770</span>&#160;</div><div class="line"><a name="l00772"></a><span class="lineno">  772</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00773"></a><span class="lineno">  773</span>&#160;</div><div class="line"><a name="l00774"></a><span class="lineno">  774</span>&#160;        <a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>* m_childWindow;</div><div class="line"><a name="l00775"></a><span class="lineno">  775</span>&#160;</div><div class="line"><a name="l00776"></a><span class="lineno">  776</span>&#160;        <span class="keywordtype">float</span>        m_titleBarHeight = 0;</div><div class="line"><a name="l00777"></a><span class="lineno">  777</span>&#160;        <span class="keywordtype">float</span>        m_distanceToSide = 0;</div><div class="line"><a name="l00778"></a><span class="lineno">  778</span>&#160;        <span class="keywordtype">float</span>        m_paddingBetweenButtons = 3; <span class="comment">// Pixels between buttons</span></div><div class="line"><a name="l00779"></a><span class="lineno">  779</span>&#160;</div><div class="line"><a name="l00780"></a><span class="lineno">  780</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>      m_textureTitleBar;</div><div class="line"><a name="l00781"></a><span class="lineno">  781</span>&#160;</div><div class="line"><a name="l00782"></a><span class="lineno">  782</span>&#160;        sf::Color    m_titleColor;</div><div class="line"><a name="l00783"></a><span class="lineno">  783</span>&#160;        sf::Color    m_titleBarColor;</div><div class="line"><a name="l00784"></a><span class="lineno">  784</span>&#160;</div><div class="line"><a name="l00785"></a><span class="lineno">  785</span>&#160;        sf::Color    m_backgroundColor;</div><div class="line"><a name="l00786"></a><span class="lineno">  786</span>&#160;        sf::Color    m_borderColor;</div><div class="line"><a name="l00787"></a><span class="lineno">  787</span>&#160;</div><div class="line"><a name="l00788"></a><span class="lineno">  788</span>&#160;        sf::String   m_closeButtonClassName = <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00789"></a><span class="lineno">  789</span>&#160;        sf::String   m_minimizeButtonClassName = <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00790"></a><span class="lineno">  790</span>&#160;        sf::String   m_maximizeButtonClassName = <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;</div><div class="line"><a name="l00792"></a><span class="lineno">  792</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>;</div><div class="line"><a name="l00793"></a><span class="lineno">  793</span>&#160;</div><div class="line"><a name="l00795"></a><span class="lineno">  795</span>&#160;    };</div><div class="line"><a name="l00796"></a><span class="lineno">  796</span>&#160;</div><div class="line"><a name="l00798"></a><span class="lineno">  798</span>&#160;}</div><div class="line"><a name="l00799"></a><span class="lineno">  799</span>&#160;</div><div class="line"><a name="l00801"></a><span class="lineno">  801</span>&#160;</div><div class="line"><a name="l00802"></a><span class="lineno">  802</span>&#160;<span class="preprocessor">#endif // TGUI_CHILD_WINDOW_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_a75128d6d549e479c4b455afc77a75f9e"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">tgui::WidgetBorders::setBorders</a></div><div class="ttdeci">virtual void setBorders(const Borders &amp;borders)</div><div class="ttdoc">Changes the size of the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:149</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html"><div class="ttname"><a href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></div><div class="ttdoc">Child window widget. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:60</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Label_html"><div class="ttname"><a href="classtgui_1_1Label.html">tgui::Label</a></div><div class="ttdoc">Label widget. </div><div class="ttdef"><b>Definition:</b> Label.hpp:49</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1ChildWindowRenderer_html_aca807b9b11d606caf43612e5ce7a5376"><div class="ttname"><a href="classtgui_1_1ChildWindowRenderer.html#aca807b9b11d606caf43612e5ce7a5376">tgui::ChildWindowRenderer::ChildWindowRenderer</a></div><div class="ttdeci">ChildWindowRenderer(ChildWindow *childWindow)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:596</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_a771fdea9e6d499651be6ced4cc42ea40"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#a771fdea9e6d499651be6ced4cc42ea40">tgui::ChildWindow::getTitle</a></div><div class="ttdeci">const sf::String &amp; getTitle() const </div><div class="ttdoc">Returns the title that is displayed in the title bar of the child window. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:244</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_a5135c949483bf6a1a4320bd7ea93f522"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">tgui::ChildWindow::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; ChildWindow &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:64</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_aa78acee7debc54c81bd98c73755c540e"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#aa78acee7debc54c81bd98c73755c540e">tgui::ChildWindow::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:528</div></div>
<div class="ttc" id="classtgui_1_1Container_html"><div class="ttname"><a href="classtgui_1_1Container.html">tgui::Container</a></div><div class="ttdoc">Container widget. </div><div class="ttdef"><b>Definition:</b> Container.hpp:47</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_a14ec3904fd63861f830c4b6fbecdd446"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#a14ec3904fd63861f830c4b6fbecdd446">tgui::ChildWindow::getTitleAlignment</a></div><div class="ttdeci">TitleAlignment getTitleAlignment() const </div><div class="ttdoc">Returns the title alignment. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:265</div></div>
<div class="ttc" id="classtgui_1_1Texture_html"><div class="ttname"><a href="classtgui_1_1Texture.html">tgui::Texture</a></div><div class="ttdef"><b>Definition:</b> Texture.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_a9c5b3dfc525e545e08ac229bf851cbc8"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#a9c5b3dfc525e545e08ac229bf851cbc8">tgui::ChildWindow::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; ChildWindowRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:118</div></div>
<div class="ttc" id="classtgui_1_1Borders_html"><div class="ttname"><a href="classtgui_1_1Borders.html">tgui::Borders</a></div><div class="ttdef"><b>Definition:</b> Borders.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1ChildWindowRenderer_html"><div class="ttname"><a href="classtgui_1_1ChildWindowRenderer.html">tgui::ChildWindowRenderer</a></div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:586</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_ac017e8d96f214d5cc79d68752e22c0eb"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#ac017e8d96f214d5cc79d68752e22c0eb">tgui::ChildWindow::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const ChildWindow &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:65</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_aca111dd39a107ca0ca7a19acae891082"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082">tgui::ChildWindow::TitleButtons</a></div><div class="ttdeci">TitleButtons</div><div class="ttdoc">Title buttons (bitwise OR to combine) </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:78</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a50f5464cad267b298d16014d027a1eda"><div class="ttname"><a href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">tgui::Button::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Button &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Button.hpp:54</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_a247720248700e8ddbbb4af19bbfad5b8"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">tgui::ChildWindow::TitleAlignment</a></div><div class="ttdeci">TitleAlignment</div><div class="ttdoc">Title alignments, possible options for the setTitleAlignment function. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:69</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html_ad7aa02947d408fb7196ff26eaef7989e"><div class="ttname"><a href="classtgui_1_1ChildWindow.html#ad7aa02947d408fb7196ff26eaef7989e">tgui::ChildWindow::getTitleButtons</a></div><div class="ttdeci">unsigned int getTitleButtons() const </div><div class="ttdoc">Returns the title bar buttons. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:291</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
